godo.AgentPlatform.UpdateCustomModelMetadata()
Generated on 5 Nov 2026
from godo version
v1.236.0
Usage
client.AgentPlatform.UpdateCustomModelMetadata(ctx context.Context, uuid string, updateRequest *godo.CustomModelMetadataUpdateRequest) (*godo.CustomModel, *godo.Response, error)Description
UpdateCustomModelMetadata updates the metadata of an existing custom model.
This method sends a PATCH request to /v2/gen-ai/custom_models/{}/metadata.
Parameters
uuidstring requiredupdateRequest*godo.CustomModelMetadataUpdateRequest required
Fields of godo.CustomModelMetadataUpdateRequest
CustomModelMetadataUpdateRequest is the request body for updating custom model metadata.
NamestringDescriptionstringTags*godo.CustomModelTagsInputModalities[]stringOutputModalities[]stringParametersstringLicensestring
Returns
- *godo.CustomModel
- *godo.Response
The HTTP response, with pagination
Links,Meta, andRatelimit information.- error
Non-nil when the request fails. API errors are returned as
*godo.ErrorResponse.
Fields of godo.CustomModel
CustomModel represents a user-imported model (from HuggingFace, Spaces, etc.).
UuidstringNamestringDescriptionstringStatusgodo.CustomModelStatusArchitecturestringSourceTypegodo.CustomModelSourceTypeSourceRef*godo.CustomModelSourceRefTotalSizeBytesstringFileCountintLicensestringTags*godo.CustomModelTagsCreatedAt*godo.TimestampUpdatedAt*godo.TimestampActiveDeployments[]*godo.CustomModelActiveDeploymentContextLengthintCostEstimatePerMonthintInputModalities[]stringOutputModalities[]stringParametersstringTeamIdstringConfigJsonmap[string]anyStorageRegionstringErrorMessagestring
Request Sample
More Information
See PATCH /v2/gen-ai/custom_models/{}/metadata in the API reference for additional detail on responses, headers, parameters, and more.
See the Go package documentation for the source of this method.